<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_helloworld
 *
 * @copyright   Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die;

//needed because the current implementation is a third party lib
require_once  JPATH_LIBRARIES.'/babelu_lib/autoloader.php';
require_once  JPATH_LIBRARIES.'/babelu_lib/autoloader/joomla/component.php';

$app = JFactory::getApplication();
$input = $app->input;


$config = array('default_view' => 'helloworld');

// Get an instance of the controller prefixed by HelloWorld
$controller = new HelloworldController($input, $app, $config);

// Perform the task
$controller->execute();

// Redirect if set by the controller
$controller->redirect();
